diff options
author | Daniel Baumann <daniel.baumann@progress-linux.org> | 2024-04-13 08:41:51 +0000 |
---|---|---|
committer | Daniel Baumann <daniel.baumann@progress-linux.org> | 2024-04-13 08:41:51 +0000 |
commit | 3e160e27e4686620d16477a9ea9cf00141e52ce7 (patch) | |
tree | 884561d26afa36d7653aa4dc43410e1ae479d43e /mantools/check-snapshot-nonprod | |
parent | Adding upstream version 3.8.6. (diff) | |
download | postfix-3e160e27e4686620d16477a9ea9cf00141e52ce7.tar.xz postfix-3e160e27e4686620d16477a9ea9cf00141e52ce7.zip |
Adding upstream version 3.9.0.upstream/3.9.0
Signed-off-by: Daniel Baumann <daniel.baumann@progress-linux.org>
Diffstat (limited to 'mantools/check-snapshot-nonprod')
-rwxr-xr-x | mantools/check-snapshot-nonprod | 13 |
1 files changed, 13 insertions, 0 deletions
diff --git a/mantools/check-snapshot-nonprod b/mantools/check-snapshot-nonprod new file mode 100755 index 0000000..e18f6aa --- /dev/null +++ b/mantools/check-snapshot-nonprod @@ -0,0 +1,13 @@ +#!/bin/sh + +version=$(basename $(env - pwd)) || exit 1 +case "$version" in +postfix-[0-9]*.[0-9]*.[0-9]*) + test -f conf/makedefs.out || { + echo "Error: no conf/makedefs.out" 1>&2; exit 1; } + grep 'CCARGS.*-DSNAPSHOT' conf/makedefs.out && { + echo "Error: stable release builds with -DSNAPSHOT" 1>&2, exit 1; } + grep 'CCARGS.*-DNONPROD' conf/makedefs.out && { + echo "Error: stable release builds with -DNONPROD" 1>&2, exit 1; } + ;; +esac |